Package pygccxml :: Package declarations :: Module container_traits

# Module container_traits

source code

defines few algorithms, that deals with different properties of std containers

Classes
defaults_eraser
container_traits_impl_t this class implements the functionality needed for convinient work with STD container classes.
create_traits this class implements the functionality needed for convinient work with STD container classes.

Functions

find_container_traits(cls_or_string) | source code

Variables
| std_namespaces = ``(``'``std``'``,` `'``stdext``'``,` `'``__gnu_cxx``'``)``
| list_traits = `create_traits('list', 0, 'value_type', defaults_`...``
| deque_traits = `create_traits('deque', 0, 'value_type', default`...``
| queue_traits = `create_traits('queue', 0, 'value_type', default`...``
| priority_queue_traits = `create_traits('priority_queue', 0, 'va`...``
| vector_traits = `create_traits('vector', 0, 'value_type', defau`...``
| stack_traits = `create_traits('stack', 0, 'value_type', default`...``
| map_traits = `create_traits('map', 1, 'mapped_type', defaults_e`...``
| multimap_traits = `create_traits('multimap', 1, 'mapped_type', `...``
| hash_map_traits = `create_traits('hash_map', 1, 'mapped_type', `...``
| hash_multimap_traits = `create_traits('hash_multimap', 1, 'mapp`...``
| set_traits = `create_traits('set', 0, 'value_type', defaults_er`...``
| multiset_traits = `create_traits('multiset', 0, 'value_type', d`...``
| hash_set_traits = `create_traits('hash_set', 0, 'value_type', d`...``
| hash_multiset_traits = `create_traits('hash_multiset', 0, 'valu`...``
| container_traits = `list_traits, deque_traits, queue_traits, pr`...`` tuple of all STD container traits classes

Variables Details

### list_traits

Value:

      create_traits('list', 0, 'value_type', defaults_eraser.erase_allocator
      )

### deque_traits

Value:

      create_traits('deque', 0, 'value_type', defaults_eraser.erase_allocato
      r)

### queue_traits

Value:

      create_traits('queue', 0, 'value_type', defaults_eraser.erase_containe
      r)

### priority_queue_traits

Value:

      create_traits('priority_queue', 0, 'value_type', defaults_eraser.erase
      _container_compare)

### vector_traits

Value:

      create_traits('vector', 0, 'value_type', defaults_eraser.erase_allocat
      or)

### stack_traits

Value:

      create_traits('stack', 0, 'value_type', defaults_eraser.erase_containe
      r)

### map_traits

Value:

      create_traits('map', 1, 'mapped_type', defaults_eraser.erase_map_compa
      re_allocator, key_type_index= 0, key_type_typedef= 'key_type')

### multimap_traits

Value:

      create_traits('multimap', 1, 'mapped_type', defaults_eraser.erase_map_
      compare_allocator, key_type_index= 0, key_type_typedef= 'key_type')

### hash_map_traits

Value:

      create_traits('hash_map', 1, 'mapped_type', defaults_eraser.erase_hash
      map_compare_allocator, key_type_index= 0, key_type_typedef= 'key_type'
      )

### hash_multimap_traits

Value:

      create_traits('hash_multimap', 1, 'mapped_type', defaults_eraser.erase
      _hashmap_compare_allocator, key_type_index= 0, key_type_typedef= 'key_
      type')

### set_traits

Value:

      create_traits('set', 0, 'value_type', defaults_eraser.erase_compare_al
      locator)

### multiset_traits

Value:

      create_traits('multiset', 0, 'value_type', defaults_eraser.erase_compa
      re_allocator)

### hash_set_traits

Value:

      create_traits('hash_set', 0, 'value_type', defaults_eraser.erase_hash_
      allocator)

### hash_multiset_traits

Value:

      create_traits('hash_multiset', 0, 'value_type', defaults_eraser.erase_
      hash_allocator)

### container_traits

tuple of all STD container traits classes

Value:

      list_traits, deque_traits, queue_traits, priority_queue_traits, vector
      _traits, stack_traits, map_traits, multimap_traits, hash_map_traits, h
      ash_multimap_traits, set_traits, hash_set_traits, multiset_traits, has
      h_multiset_traits